commit:     e2a85af45d04047be583d3f8c6c4d58f1bb7b9af
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 26 09:16:39 2022 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon Dec 26 09:16:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2a85af4

app-admin/coreboot-utils-4.18-r1: catch one more -Werror occurence

Closes: https://bugs.gentoo.org/888442
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 .../{coreboot-utils-4.18.ebuild => coreboot-utils-4.18-r1.ebuild}      | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/app-admin/coreboot-utils/coreboot-utils-4.18.ebuild 
b/app-admin/coreboot-utils/coreboot-utils-4.18-r1.ebuild
similarity index 94%
rename from app-admin/coreboot-utils/coreboot-utils-4.18.ebuild
rename to app-admin/coreboot-utils/coreboot-utils-4.18-r1.ebuild
index a9115a5fe9d9..f50dd5d15b0a 100644
--- a/app-admin/coreboot-utils/coreboot-utils-4.18.ebuild
+++ b/app-admin/coreboot-utils/coreboot-utils-4.18-r1.ebuild
@@ -42,7 +42,8 @@ src_prepare() {
        # force optimisation
        # can't do this in one sed, because it all happens back-to-back
        for e in '-O[01234567s]' '-g' '-Werror' '-ansi' '-pendantic' ; do
-               sed -i -e 's/ '"${e}"'\( \|$\)/ /g' util/*/Makefile{.inc,} || 
die
+               sed -i -e 's/\( \|=\)'"${e}"'\( \|$\)/\1/g' 
util/*/Makefile{.inc,} \
+                       || die
        done
 }
 

Reply via email to